Skip to main content
GET
/
api
/
hardwaretiers
/
v1
/
hardwaretiers
Get all hardware tiers
curl --request GET \
  --url https://api.example.com/api/hardwaretiers/v1/hardwaretiers \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "hardwareTiers": [
    {
      "centsPerMinute": 123,
      "creationTime": "2022-03-12T02:13:44.467Z",
      "flags": {
        "isArchived": true,
        "isDataAnalystTier": true,
        "isDefault": true,
        "isGlobal": true,
        "isVisible": true,
        "isDefaultForModelApi": true,
        "isModelApiTier": true
      },
      "id": "small-k8s",
      "metadata": {},
      "name": "My-HardwareTier",
      "podCustomization": {
        "additionalAnnotations": {},
        "additionalLabels": {},
        "additionalLimits": {},
        "additionalRequests": {},
        "capabilities": [
          "<string>"
        ],
        "hugepages": {}
      },
      "resources": {
        "allowSharedMemoryToExceedDefault": true,
        "cores": 1,
        "memory": {
          "value": 123
        },
        "coresLimit": 123,
        "memoryLimit": {
          "value": 123
        },
        "memorySwapLimit": {
          "value": 123
        },
        "sharedMemoryLimit": {
          "value": 123
        }
      },
      "updateTime": "2022-03-12T02:13:44.467Z",
      "availabilityZones": [
        "<string>"
      ],
      "capacity": {
        "availableCapacityWithoutLaunching": 123,
        "executingRuns": 123,
        "maxAvailableCapacity": 123,
        "maxConcurrentRuns": 123,
        "maxNumberOfExecutors": 123,
        "numberOfExecutors": 123,
        "queuedRuns": 123
      },
      "computeClusterRestrictions": {
        "restrictToDask": true,
        "restrictToMpi": true,
        "restrictToRay": true,
        "restrictToSlurm": true,
        "restrictToSpark": true
      },
      "dataPlaneId": "<string>",
      "dataPlaneName": "<string>",
      "gpuConfiguration": {
        "gpuKey": "<string>",
        "numberOfGpus": 123
      },
      "maxSimultaneousExecutions": 123,
      "nodePool": "<string>",
      "overProvisioning": {
        "daysOfWeek": [
          "<string>"
        ],
        "fromTime": "<string>",
        "instances": 123,
        "schedulingEnabled": true,
        "timezone": "<string>",
        "toTime": "<string>"
      },
      "tags": [
        "<string>"
      ]
    }
  ],
  "metadata": {
    "notices": [
      "<string>"
    ],
    "requestId": "<string>",
    "limit": 123,
    "offset": 123,
    "totalCount": 123
  }
}

Authorizations

X-Domino-Api-Key
string
header
required

Query Parameters

offset
integer

How many hardware tiers from the start to skip. Defaults to 0.

limit
integer

How many hardware tiers to fetch. Defaults to 10.

includeArchived
boolean

Whether to include archived hardware tiers. Defaults to false.

Response

Success

hardwareTiers
object[]
required
metadata
object
required